RaisFastRaisFast

Rbac

RBAC

GET
/api/v1/admin/rbac/roles

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Response Body

curl -X GET "https://example.com/api/v1/admin/rbac/roles"
Empty
POST
/api/v1/admin/rbac/roles

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/api/v1/admin/rbac/roles" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
Empty
POST
/api/v1/admin/rbac/roles/batch

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/api/v1/admin/rbac/roles/batch" \  -H "Content-Type: application/json" \  -d '{    "action": "string",    "ids": [      "string"    ]  }'
Empty
DELETE
/api/v1/admin/rbac/roles/{id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Role ID

Response Body

curl -X DELETE "https://example.com/api/v1/admin/rbac/roles/string"
Empty
PUT
/api/v1/admin/rbac/roles/{id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Role ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PUT "https://example.com/api/v1/admin/rbac/roles/string" \  -H "Content-Type: application/json" \  -d '{}'
Empty
GET
/api/v1/admin/rbac/roles/{id}/permissions

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Role ID

Response Body

curl -X GET "https://example.com/api/v1/admin/rbac/roles/string/permissions"
Empty
PUT
/api/v1/admin/rbac/roles/{id}/permissions

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Role ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PUT "https://example.com/api/v1/admin/rbac/roles/string/permissions" \  -H "Content-Type: application/json" \  -d '{    "permissions": [      {        "action": "string",        "subject": "string"      }    ]  }'
Empty